// Enum.swift
//
// Copyright (c) 2014-present FontAwesome.swift contributors
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

/// An enumaration of FontAwesome icon names.
// swiftlint:disable file_length type_body_length
public enum FontAwesome: String {
    case fiveHundredPixels = "\u{f26e}"
    case addressBook = "\u{f2b9}"
    case addressBookO = "\u{f2ba}"
    case addressCard = "\u{f2bb}"
    case addressCardO = "\u{f2bc}"
    case adjust = "\u{f042}"
    case adn = "\u{f170}"
    case alignCenter = "\u{f037}"
    case alignJustify = "\u{f039}"
    case alignLeft = "\u{f036}"
    case alignRight = "\u{f038}"
    case amazon = "\u{f270}"
    case ambulance = "\u{f0f9}"
    case americanSignLanguageInterpreting = "\u{f2a3}"
    case anchor = "\u{f13d}"
    case android = "\u{f17b}"
    case angellist = "\u{f209}"
    case angleDoubleDown = "\u{f103}"
    case angleDoubleLeft = "\u{f100}"
    case angleDoubleRight = "\u{f101}"
    case angleDoubleUp = "\u{f102}"
    case angleDown = "\u{f107}"
    case angleLeft = "\u{f104}"
    case angleRight = "\u{f105}"
    case angleUp = "\u{f106}"
    case apple = "\u{f179}"
    case archive = "\u{f187}"
    case areaChart = "\u{f1fe}"
    case arrowCircleDown = "\u{f0ab}"
    case arrowCircleLeft = "\u{f0a8}"
    case arrowCircleODown = "\u{f01a}"
    case arrowCircleOLeft = "\u{f190}"
    case arrowCircleORight = "\u{f18e}"
    case arrowCircleOUp = "\u{f01b}"
    case arrowCircleRight = "\u{f0a9}"
    case arrowCircleUp = "\u{f0aa}"
    case arrowDown = "\u{f063}"
    case arrowLeft = "\u{f060}"
    case arrowRight = "\u{f061}"
    case arrowUp = "\u{f062}"
    case arrows = "\u{f047}"
    case arrowsAlt = "\u{f0b2}"
    case arrowsH = "\u{f07e}"
    case arrowsV = "\u{f07d}"
    case aslInterpreting = "\u{f2a3}A"
    case assistiveListeningSystems = "\u{f2a2}"
    case asterisk = "\u{f069}"
    case at = "\u{f1fa}"
    case audioDescription = "\u{f29e}"
    case automobile = "\u{f1b9}A"
    case backward = "\u{f04a}"
    case balanceScale = "\u{f24e}"
    case ban = "\u{f05e}"
    case bandCamp = "\u{f2d5}"
    case bank = "\u{f19c}A"
    case barChart = "\u{f080}"
    case barChartO = "\u{f080}A"
    case barcode = "\u{f02a}"
    case bars = "\u{f0c9}"
    case bath = "\u{f2cd}"
    case battery0 = "\u{f244}A"
    case battery1 = "\u{f243}A"
    case battery2 = "\u{f242}A"
    case battery3 = "\u{f241}A"
    case battery4 = "\u{f240}A"
    case batteryEmpty = "\u{f244}"
    case batteryFull = "\u{f240}"
    case batteryHalf = "\u{f242}"
    case batteryQuarter = "\u{f243}"
    case batteryThreeQuarters = "\u{f241}"
    case bed = "\u{f236}"
    case beer = "\u{f0fc}"
    case behance = "\u{f1b4}"
    case behanceSquare = "\u{f1b5}"
    case bell = "\u{f0f3}"
    case bellO = "\u{f0a2}"
    case bellSlash = "\u{f1f6}"
    case bellSlashO = "\u{f1f7}"
    case bicycle = "\u{f206}"
    case binoculars = "\u{f1e5}"
    case birthdayCake = "\u{f1fd}"
    case bitbucket = "\u{f171}"
    case bitbucketSquare = "\u{f172}"
    case bitcoin = "\u{f15a}A"
    case blackTie = "\u{f27e}"
    case blind = "\u{f29d}"
    case bluetooth = "\u{f293}"
    case bluetoothB = "\u{f294}"
    case bold = "\u{f032}"
    case bolt = "\u{f0e7}"
    case bomb = "\u{f1e2}"
    case book = "\u{f02d}"
    case bookmark = "\u{f02e}"
    case bookmarkO = "\u{f097}"
    case braille = "\u{f2a1}"
    case briefcase = "\u{f0b1}"
    case btc = "\u{f15a}"
    case bug = "\u{f188}"
    case building = "\u{f1ad}"
    case buildingO = "\u{f0f7}"
    case bullhorn = "\u{f0a1}"
    case bullseye = "\u{f140}"
    case bus = "\u{f207}"
    case buysellads = "\u{f20d}"
    case cab = "\u{f1ba}A"
    case calculator = "\u{f1ec}"
    case calendar = "\u{f073}"
    case calendarCheckO = "\u{f274}"
    case calendarMinusO = "\u{f272}"
    case calendarO = "\u{f133}"
    case calendarPlusO = "\u{f271}"
    case calendarTimesO = "\u{f273}"
    case camera = "\u{f030}"
    case cameraRetro = "\u{f083}"
    case car = "\u{f1b9}"
    case caretDown = "\u{f0d7}"
    case caretLeft = "\u{f0d9}"
    case caretRight = "\u{f0da}"
    case caretSquareODown = "\u{f150}"
    case caretSquareOLeft = "\u{f191}"
    case caretSquareORight = "\u{f152}"
    case caretSquareOUp = "\u{f151}"
    case caretUp = "\u{f0d8}"
    case cartArrowDown = "\u{f218}"
    case cartPlus = "\u{f217}"
    case cc = "\u{f20a}"
    case ccAmex = "\u{f1f3}"
    case ccDinersClub = "\u{f24c}"
    case ccDiscover = "\u{f1f2}"
    case ccJCB = "\u{f24b}"
    case ccMasterCard = "\u{f1f1}"
    case ccPaypal = "\u{f1f4}"
    case ccStripe = "\u{f1f5}"
    case ccVisa = "\u{f1f0}"
    case certificate = "\u{f0a3}"
    case chain = "\u{f0c1}A"
    case chainBroken = "\u{f127}"
    case check = "\u{f00c}"
    case checkCircle = "\u{f058}"
    case checkCircleO = "\u{f05d}"
    case checkSquare = "\u{f14a}"
    case checkSquareO = "\u{f046}"
    case chevronCircleDown = "\u{f13a}"
    case chevronCircleLeft = "\u{f137}"
    case chevronCircleRight = "\u{f138}"
    case chevronCircleUp = "\u{f139}"
    case chevronDown = "\u{f078}"
    case chevronLeft = "\u{f053}"
    case chevronRight = "\u{f054}"
    case chevronUp = "\u{f077}"
    case child = "\u{f1ae}"
    case chrome = "\u{f268}"
    case circle = "\u{f111}"
    case circleO = "\u{f10c}"
    case circleONotch = "\u{f1ce}"
    case circleThin = "\u{f1db}"
    case clipboard = "\u{f0ea}"
    case clockO = "\u{f017}"
    case clone = "\u{f24d}"
    case close = "\u{f00d}A"
    case cloud = "\u{f0c2}"
    case cloudDownload = "\u{f0ed}"
    case cloudUpload = "\u{f0ee}"
    case cny = "\u{f157}A"
    case code = "\u{f121}"
    case codeFork = "\u{f126}"
    case codepen = "\u{f1cb}"
    case codiepie = "\u{f284}"
    case coffee = "\u{f0f4}"
    case cog = "\u{f013}"
    case cogs = "\u{f085}"
    case columns = "\u{f0db}"
    case comment = "\u{f075}"
    case commentO = "\u{f0e5}"
    case commenting = "\u{f27a}"
    case commentingO = "\u{f27b}"
    case comments = "\u{f086}"
    case commentsO = "\u{f0e6}"
    case compass = "\u{f14e}"
    case compress = "\u{f066}"
    case connectdevelop = "\u{f20e}"
    case contao = "\u{f26d}"
    case copy = "\u{f0c5}A"
    case copyright = "\u{f1f9}"
    case creativeCommons = "\u{f25e}"
    case creditCard = "\u{f09d}"
    case creditCardAlt = "\u{f283}"
    case crop = "\u{f125}"
    case crosshairs = "\u{f05b}"
    case css3 = "\u{f13c}"
    case cube = "\u{f1b2}"
    case cubes = "\u{f1b3}"
    case cut = "\u{f0c4}A"
    case cutlery = "\u{f0f5}"
    case dashboard = "\u{f0e4}A"
    case dashcube = "\u{f210}"
    case database = "\u{f1c0}"
    case deaf = "\u{f2a4}"
    case deafness = "\u{f2a4}A"
    case dedent = "\u{f03b}A"
    case delicious = "\u{f1a5}"
    case desktop = "\u{f108}"
    case deviantart = "\u{f1bd}"
    case diamond = "\u{f219}"
    case digg = "\u{f1a6}"
    case dollar = "\u{f155}A"
    case dotCircleO = "\u{f192}"
    case download = "\u{f019}"
    case dribbble = "\u{f17d}"
    case dropbox = "\u{f16b}"
    case drupal = "\u{f1a9}"
    case edge = "\u{f282}"
    case edit = "\u{f044}A"
    case eercast = "\u{f2da}"
    case eject = "\u{f052}"
    case ellipsisH = "\u{f141}"
    case ellipsisV = "\u{f142}"
    case empire = "\u{f1d1}"
    case envelope = "\u{f0e0}"
    case envelopeO = "\u{f003}"
    case envelopeOpen = "\u{f2b6}"
    case envelopeOpenO = "\u{f2b7}"
    case envelopeSquare = "\u{f199}"
    case envira = "\u{f299}"
    case eraser = "\u{f12d}"
    case etsy = "\u{f2d7}"
    case eur = "\u{f153}"
    case euro = "\u{f153}A"
    case exchange = "\u{f0ec}"
    case exclamation = "\u{f12a}"
    case exclamationCircle = "\u{f06a}"
    case exclamationTriangle = "\u{f071}"
    case expand = "\u{f065}"
    case expeditedSSL = "\u{f23e}"
    case externalLink = "\u{f08e}"
    case externalLinkSquare = "\u{f14c}"
    case eye = "\u{f06e}"
    case eyeSlash = "\u{f070}"
    case eyedropper = "\u{f1fb}"
    case fa = "\u{f2b4}A"
    case facebook = "\u{f09a}"
    case facebookF = "\u{f09a}A"
    case facebookOfficial = "\u{f230}"
    case facebookSquare = "\u{f082}"
    case fastBackward = "\u{f049}"
    case fastForward = "\u{f050}"
    case fax = "\u{f1ac}"
    case feed = "\u{f09e}A"
    case female = "\u{f182}"
    case fighterJet = "\u{f0fb}"
    case file = "\u{f15b}"
    case fileArchiveO = "\u{f1c6}"
    case fileAudioO = "\u{f1c7}"
    case fileCodeO = "\u{f1c9}"
    case fileExcelO = "\u{f1c3}"
    case fileImageO = "\u{f1c5}"
    case fileMovieO = "\u{f1c8}A"
    case fileO = "\u{f016}"
    case filePdfO = "\u{f1c1}"
    case filePhotoO = "\u{f1c5}A"
    case filePictureO = "\u{f1c5}B"
    case filePowerpointO = "\u{f1c4}"
    case fileSoundO = "\u{f1c7}A"
    case fileText = "\u{f15c}"
    case fileTextO = "\u{f0f6}"
    case fileVideoO = "\u{f1c8}"
    case fileWordO = "\u{f1c2}"
    case fileZipO = "\u{f1c6}A"
    case filesO = "\u{f0c5}"
    case film = "\u{f008}"
    case filter = "\u{f0b0}"
    case fire = "\u{f06d}"
    case fireExtinguisher = "\u{f134}"
    case firefox = "\u{f269}"
    case firstOrder = "\u{f2b0}"
    case flag = "\u{f024}"
    case flagCheckered = "\u{f11e}"
    case flagO = "\u{f11d}"
    case flash = "\u{f0e7}A"
    case flask = "\u{f0c3}"
    case flickr = "\u{f16e}"
    case floppyO = "\u{f0c7}"
    case folder = "\u{f07b}"
    case folderO = "\u{f114}"
    case folderOpen = "\u{f07c}"
    case folderOpenO = "\u{f115}"
    case font = "\u{f031}"
    case fontAwesome = "\u{f2b4}"
    case fonticons = "\u{f280}"
    case fortAwesome = "\u{f286}"
    case forumbee = "\u{f211}"
    case forward = "\u{f04e}"
    case foursquare = "\u{f180}"
    case freeCodeCamp = "\u{f2c5}"
    case frownO = "\u{f119}"
    case futbolO = "\u{f1e3}"
    case gamepad = "\u{f11b}"
    case gavel = "\u{f0e3}"
    case gbp = "\u{f154}"
    case ge = "\u{f1d1}A"
    case gear = "\u{f013}A"
    case gears = "\u{f085}A"
    case genderless = "\u{f22d}"
    case getPocket = "\u{f265}"
    case gg = "\u{f260}"
    case ggCircle = "\u{f261}"
    case gift = "\u{f06b}"
    case git = "\u{f1d3}"
    case gitSquare = "\u{f1d2}"
    case github = "\u{f09b}"
    case githubAlt = "\u{f113}"
    case githubSquare = "\u{f092}"
    case gitlab = "\u{f296}"
    case gittip = "\u{f184}A"
    case glass = "\u{f000}"
    case glide = "\u{f2a5}"
    case glideG = "\u{f2a6}"
    case globe = "\u{f0ac}"
    case google = "\u{f1a0}"
    case googlePlus = "\u{f0d5}"
    case googlePlusCircle = "\u{f2b3}A"
    case googlePlusOfficial = "\u{f2b3}"
    case googlePlusSquare = "\u{f0d4}"
    case googleWallet = "\u{f1ee}"
    case graduationCap = "\u{f19d}"
    case gratipay = "\u{f184}"
    case grav = "\u{f2d6}"
    case group = "\u{f0c0}A"
    case hSquare = "\u{f0fd}"
    case hackerNews = "\u{f1d4}"
    case handGrabO = "\u{f255}A"
    case handLizardO = "\u{f258}"
    case handODown = "\u{f0a7}"
    case handOLeft = "\u{f0a5}"
    case handORight = "\u{f0a4}"
    case handOUp = "\u{f0a6}"
    case handPaperO = "\u{f256}"
    case handPeaceO = "\u{f25b}"
    case handPointerO = "\u{f25a}"
    case handRockO = "\u{f255}"
    case handScissorsO = "\u{f257}"
    case handShakeO = "\u{f2b5}"
    case handSpockO = "\u{f259}"
    case handStopO = "\u{f256}A"
    case hardOfHearing = "\u{f2a4}B"
    case hashtag = "\u{f292}"
    case hddO = "\u{f0a0}"
    case header = "\u{f1dc}"
    case headphones = "\u{f025}"
    case heart = "\u{f004}"
    case heartO = "\u{f08a}"
    case heartbeat = "\u{f21e}"
    case history = "\u{f1da}"
    case home = "\u{f015}"
    case hospitalO = "\u{f0f8}"
    case hotel = "\u{f236}A"
    case hourglass = "\u{f254}"
    case hourglass1 = "\u{f251}A"
    case hourglass2 = "\u{f252}A"
    case hourglass3 = "\u{f253}A"
    case hourglassEnd = "\u{f253}"
    case hourglassHalf = "\u{f252}"
    case hourglassO = "\u{f250}"
    case hourglassStart = "\u{f251}"
    case houzz = "\u{f27c}"
    case html5 = "\u{f13b}"
    case iCursor = "\u{f246}"
    case idBadge = "\u{f2c1}"
    case idCard = "\u{f2c2}"
    case idCardO = "\u{f2c3}"
    case ils = "\u{f20b}"
    case image = "\u{f03e}A"
    case imdb = "\u{f2d8}"
    case inbox = "\u{f01c}"
    case indent = "\u{f03c}"
    case industry = "\u{f275}"
    case info = "\u{f129}"
    case infoCircle = "\u{f05a}"
    case inr = "\u{f156}"
    case instagram = "\u{f16d}"
    case institution = "\u{f19c}B"
    case internetExplorer = "\u{f26b}"
    case intersex = "\u{f224}A"
    case ioxhost = "\u{f208}"
    case italic = "\u{f033}"
    case joomla = "\u{f1aa}"
    case jpy = "\u{f157}"
    case jsfiddle = "\u{f1cc}"
    case key = "\u{f084}"
    case keyboardO = "\u{f11c}"
    case krw = "\u{f159}"
    case language = "\u{f1ab}"
    case laptop = "\u{f109}"
    case lastFM = "\u{f202}"
    case lastFMSquare = "\u{f203}"
    case leaf = "\u{f06c}"
    case leanpub = "\u{f212}"
    case legal = "\u{f0e3}A"
    case lemonO = "\u{f094}"
    case levelDown = "\u{f149}"
    case levelUp = "\u{f148}"
    case lifeBouy = "\u{f1cd}A"
    case lifeBuoy = "\u{f1cd}B"
    case lifeRing = "\u{f1cd}"
    case lifeSaver = "\u{f1cd}C"
    case lightbulbO = "\u{f0eb}"
    case lineChart = "\u{f201}"
    case link = "\u{f0c1}"
    case linkedIn = "\u{f0e1}"
    case linkedInSquare = "\u{f08c}"
    case linode = "\u{f2b8}"
    case linux = "\u{f17c}"
    case list = "\u{f03a}"
    case listAlt = "\u{f022}"
    case listOL = "\u{f0cb}"
    case listUL = "\u{f0ca}"
    case locationArrow = "\u{f124}"
    case lock = "\u{f023}"
    case longArrowDown = "\u{f175}"
    case longArrowLeft = "\u{f177}"
    case longArrowRight = "\u{f178}"
    case longArrowUp = "\u{f176}"
    case lowVision = "\u{f2a8}"
    case magic = "\u{f0d0}"
    case magnet = "\u{f076}"
    case mailForward = "\u{f064}A"
    case mailReply = "\u{f112}A"
    case mailReplyAll = "\u{f122}A"
    case male = "\u{f183}"
    case map = "\u{f279}"
    case mapMarker = "\u{f041}"
    case mapO = "\u{f278}"
    case mapPin = "\u{f276}"
    case mapSigns = "\u{f277}"
    case mars = "\u{f222}"
    case marsDouble = "\u{f227}"
    case marsStroke = "\u{f229}"
    case marsStrokeH = "\u{f22b}"
    case marsStrokeV = "\u{f22a}"
    case maxcdn = "\u{f136}"
    case meanpath = "\u{f20c}"
    case medium = "\u{f23a}"
    case medkit = "\u{f0fa}"
    case meetup = "\u{f2e0}"
    case mehO = "\u{f11a}"
    case mercury = "\u{f223}"
    case microchip = "\u{f2db}"
    case microphone = "\u{f130}"
    case microphoneSlash = "\u{f131}"
    case minus = "\u{f068}"
    case minusCircle = "\u{f056}"
    case minusSquare = "\u{f146}"
    case minusSquareO = "\u{f147}"
    case mixcloud = "\u{f289}"
    case mobile = "\u{f10b}"
    case mobilePhone = "\u{f10b}A"
    case modx = "\u{f285}"
    case money = "\u{f0d6}"
    case moonO = "\u{f186}"
    case mortarBoard = "\u{f19d}A"
    case motorcycle = "\u{f21c}"
    case mousePointer = "\u{f245}"
    case music = "\u{f001}"
    case navicon = "\u{f0c9}A"
    case neuter = "\u{f22c}"
    case newspaperO = "\u{f1ea}"
    case objectGroup = "\u{f247}"
    case objectUngroup = "\u{f248}"
    case odnoklassniki = "\u{f263}"
    case odnoklassnikiSquare = "\u{f264}"
    case openCart = "\u{f23d}"
    case openID = "\u{f19b}"
    case opera = "\u{f26a}"
    case optinMonster = "\u{f23c}"
    case outdent = "\u{f03b}"
    case pagelines = "\u{f18c}"
    case paintBrush = "\u{f1fc}"
    case paperPlane = "\u{f1d8}"
    case paperPlaneO = "\u{f1d9}"
    case paperclip = "\u{f0c6}"
    case paragraph = "\u{f1dd}"
    case paste = "\u{f0ea}A"
    case pause = "\u{f04c}"
    case pauseCircle = "\u{f28b}"
    case pauseCircleO = "\u{f28c}"
    case paw = "\u{f1b0}"
    case paypal = "\u{f1ed}"
    case pencil = "\u{f040}"
    case pencilSquare = "\u{f14b}"
    case pencilSquareO = "\u{f044}"
    case percent = "\u{f295}"
    case phone = "\u{f095}"
    case phoneSquare = "\u{f098}"
    case photo = "\u{f03e}B"
    case pictureO = "\u{f03e}"
    case pieChart = "\u{f200}"
    case piedPiper = "\u{f2ae}"
    case piedPiperAlt = "\u{f1a8}"
    case piedPiperPp = "\u{f1a7}"
    case pinterest = "\u{f0d2}"
    case pinterestP = "\u{f231}"
    case pinterestSquare = "\u{f0d3}"
    case plane = "\u{f072}"
    case play = "\u{f04b}"
    case playCircle = "\u{f144}"
    case playCircleO = "\u{f01d}"
    case plug = "\u{f1e6}"
    case plus = "\u{f067}"
    case plusCircle = "\u{f055}"
    case plusSquare = "\u{f0fe}"
    case plusSquareO = "\u{f196}"
    case podcast = "\u{f2ce}"
    case powerOff = "\u{f011}"
    case print = "\u{f02f}"
    case productHunt = "\u{f288}"
    case puzzlePiece = "\u{f12e}"
    case qq = "\u{f1d6}"
    case qrcode = "\u{f029}"
    case quora = "\u{f2c4}"
    case question = "\u{f128}"
    case questionCircle = "\u{f059}"
    case questionCircleO = "\u{f29c}"
    case quoteLeft = "\u{f10d}"
    case quoteRight = "\u{f10e}"
    case ra = "\u{f1d0}A"
    case random = "\u{f074}"
    case ravelry = "\u{f2d9}"
    case rebel = "\u{f1d0}"
    case recycle = "\u{f1b8}"
    case reddit = "\u{f1a1}"
    case redditAlien = "\u{f281}"
    case redditSquare = "\u{f1a2}"
    case refresh = "\u{f021}"
    case registered = "\u{f25d}"
    case remove = "\u{f00d}B"
    case renren = "\u{f18b}"
    case reorder = "\u{f0c9}B"
    case `repeat` = "\u{f01e}"
    case reply = "\u{f112}"
    case replyAll = "\u{f122}"
    case resistance = "\u{f1d0}B"
    case retweet = "\u{f079}"
    case rmb = "\u{f157}B"
    case road = "\u{f018}"
    case rocket = "\u{f135}"
    case rotateLeft = "\u{f0e2}A"
    case rotateRight = "\u{f01e}A"
    case rouble = "\u{f158}A"
    case rss = "\u{f09e}"
    case rssSquare = "\u{f143}"
    case rub = "\u{f158}"
    case ruble = "\u{f158}B"
    case rupee = "\u{f156}A"
    case safari = "\u{f267}"
    case save = "\u{f0c7}A"
    case scissors = "\u{f0c4}"
    case scribd = "\u{f28a}"
    case search = "\u{f002}"
    case searchMinus = "\u{f010}"
    case searchPlus = "\u{f00e}"
    case sellsy = "\u{f213}"
    case send = "\u{f1d8}A"
    case sendO = "\u{f1d9}A"
    case server = "\u{f233}"
    case share = "\u{f064}"
    case shareAlt = "\u{f1e0}"
    case shareAltSquare = "\u{f1e1}"
    case shareSquare = "\u{f14d}"
    case shareSquareO = "\u{f045}"
    case shekel = "\u{f20b}A"
    case sheqel = "\u{f20b}B"
    case shield = "\u{f132}"
    case ship = "\u{f21a}"
    case shirtsinbulk = "\u{f214}"
    case shoppingBag = "\u{f290}"
    case shoppingBasket = "\u{f291}"
    case shoppingCart = "\u{f07a}"
    case shower = "\u{f2cc}"
    case signIn = "\u{f090}"
    case signLanguage = "\u{f2a7}"
    case signOut = "\u{f08b}"
    case signal = "\u{f012}"
    case signing = "\u{f2a7}A"
    case simplybuilt = "\u{f215}"
    case sitemap = "\u{f0e8}"
    case skyatlas = "\u{f216}"
    case skype = "\u{f17e}"
    case slack = "\u{f198}"
    case sliders = "\u{f1de}"
    case slideshare = "\u{f1e7}"
    case smileO = "\u{f118}"
    case snapchat = "\u{f2ab}"
    case snapchatGhost = "\u{f2ac}"
    case snapchatSquare = "\u{f2ad}"
    case snowflakeO = "\u{f2dc}"
    case soccerBallO = "\u{f1e3}A"
    case sort = "\u{f0dc}"
    case sortAlphaAsc = "\u{f15d}"
    case sortAlphaDesc = "\u{f15e}"
    case sortAmountAsc = "\u{f160}"
    case sortAmountDesc = "\u{f161}"
    case sortAsc = "\u{f0de}"
    case sortDesc = "\u{f0dd}"
    case sortDown = "\u{f0dd}A"
    case sortNumericAsc = "\u{f162}"
    case sortNumericDesc = "\u{f163}"
    case sortUp = "\u{f0de}A"
    case soundCloud = "\u{f1be}"
    case spaceShuttle = "\u{f197}"
    case spinner = "\u{f110}"
    case spoon = "\u{f1b1}"
    case spotify = "\u{f1bc}"
    case square = "\u{f0c8}"
    case squareO = "\u{f096}"
    case stackExchange = "\u{f18d}"
    case stackOverflow = "\u{f16c}"
    case star = "\u{f005}"
    case starHalf = "\u{f089}"
    case starHalfEmpty = "\u{f123}A"
    case starHalfFull = "\u{f123}B"
    case starHalfO = "\u{f123}"
    case starO = "\u{f006}"
    case steam = "\u{f1b6}"
    case steamSquare = "\u{f1b7}"
    case stepBackward = "\u{f048}"
    case stepForward = "\u{f051}"
    case stethoscope = "\u{f0f1}"
    case stickyNote = "\u{f249}"
    case stickyNoteO = "\u{f24a}"
    case stop = "\u{f04d}"
    case stopCircle = "\u{f28d}"
    case stopCircleO = "\u{f28e}"
    case streetView = "\u{f21d}"
    case strikethrough = "\u{f0cc}"
    case stumbleUpon = "\u{f1a4}"
    case stumbleUponCircle = "\u{f1a3}"
    case `subscript` = "\u{f12c}"
    case subway = "\u{f239}"
    case suitcase = "\u{f0f2}"
    case sunO = "\u{f185}"
    case superscript = "\u{f12b}"
    case superpowers = "\u{f2dd}"
    case support = "\u{f1cd}D"
    case table = "\u{f0ce}"
    case tablet = "\u{f10a}"
    case tachometer = "\u{f0e4}"
    case tag = "\u{f02b}"
    case tags = "\u{f02c}"
    case tasks = "\u{f0ae}"
    case taxi = "\u{f1ba}"
    case telegram = "\u{f2c6}"
    case television = "\u{f26c}"
    case tencentWeibo = "\u{f1d5}"
    case terminal = "\u{f120}"
    case textHeight = "\u{f034}"
    case textWidth = "\u{f035}"
    case th = "\u{f00a}"
    case thLarge = "\u{f009}"
    case thList = "\u{f00b}"
    case themeisle = "\u{f2b2}"
    case thermometerEmpty = "\u{f2cb}"
    case thermometerFull = "\u{f2c7}"
    case thermometerHalf = "\u{f2c9}"
    case thermometerQuarter = "\u{f2ca}"
    case thermometerThreeQuarters = "\u{f2c8}"
    case thumbTack = "\u{f08d}"
    case thumbsDown = "\u{f165}"
    case thumbsODown = "\u{f088}"
    case thumbsOUp = "\u{f087}"
    case thumbsUp = "\u{f164}"
    case ticket = "\u{f145}"
    case times = "\u{f00d}"
    case timesCircle = "\u{f057}"
    case timesCircleO = "\u{f05c}"
    case tint = "\u{f043}"
    case toggleDown = "\u{f150}A"
    case toggleLeft = "\u{f191}A"
    case toggleOff = "\u{f204}"
    case toggleOn = "\u{f205}"
    case toggleRight = "\u{f152}A"
    case toggleUp = "\u{f151}A"
    case trademark = "\u{f25c}"
    case train = "\u{f238}"
    case transgender = "\u{f224}"
    case transgenderAlt = "\u{f225}"
    case trash = "\u{f1f8}"
    case trashO = "\u{f014}"
    case tree = "\u{f1bb}"
    case trello = "\u{f181}"
    case tripAdvisor = "\u{f262}"
    case trophy = "\u{f091}"
    case truck = "\u{f0d1}"
    case `try` = "\u{f195}"
    case tty = "\u{f1e4}"
    case tumblr = "\u{f173}"
    case tumblrSquare = "\u{f174}"
    case turkishLira = "\u{f195}A"
    case tv = "\u{f26c}A"
    case twitch = "\u{f1e8}"
    case twitter = "\u{f099}"
    case twitterSquare = "\u{f081}"
    case umbrella = "\u{f0e9}"
    case underline = "\u{f0cd}"
    case undo = "\u{f0e2}"
    case universalAccess = "\u{f29a}"
    case university = "\u{f19c}"
    case unlink = "\u{f127}A"
    case unlock = "\u{f09c}"
    case unlockAlt = "\u{f13e}"
    case unsorted = "\u{f0dc}A"
    case upload = "\u{f093}"
    case usb = "\u{f287}"
    case usd = "\u{f155}"
    case user = "\u{f007}"
    case userO = "\u{f2c0}"
    case userCircle = "\u{f2bd}"
    case userCircleO = "\u{f2be}"
    case userMd = "\u{f0f0}"
    case userPlus = "\u{f234}"
    case userSecret = "\u{f21b}"
    case userTimes = "\u{f235}"
    case users = "\u{f0c0}"
    case venus = "\u{f221}"
    case venusDouble = "\u{f226}"
    case venusMars = "\u{f228}"
    case viacoin = "\u{f237}"
    case viadeo = "\u{f2a9}"
    case viadeoSquare = "\u{f2aa}"
    case videoCamera = "\u{f03d}"
    case vimeo = "\u{f27d}"
    case vimeoSquare = "\u{f194}"
    case vine = "\u{f1ca}"
    case vk = "\u{f189}"
    case volumeControlPhone = "\u{f2a0}"
    case volumeDown = "\u{f027}"
    case volumeOff = "\u{f026}"
    case volumeUp = "\u{f028}"
    case warning = "\u{f071}A"
    case wechat = "\u{f1d7}A"
    case weibo = "\u{f18a}"
    case weixin = "\u{f1d7}"
    case whatsapp = "\u{f232}"
    case wheelchair = "\u{f193}"
    case wheelchairAlt = "\u{f29b}"
    case wifi = "\u{f1eb}"
    case wikipediaW = "\u{f266}"
    case windowClose = "\u{f2d3}"
    case windowCloseO = "\u{f2d4}"
    case windowMaximize = "\u{f2d0}"
    case windowMinimize = "\u{f2d1}"
    case windowRestore = "\u{f2d2}"
    case windows = "\u{f17a}"
    case won = "\u{f159}A"
    case wordpress = "\u{f19a}"
    case wpbeginner = "\u{f297}"
    case wpexplorer = "\u{f2de}"
    case wpforms = "\u{f298}"
    case wrench = "\u{f0ad}"
    case xing = "\u{f168}"
    case xingSquare = "\u{f169}"
    case yCombinator = "\u{f23b}"
    case yCombinatorSquare = "\u{f1d4}A"
    case yahoo = "\u{f19e}"
    case yc = "\u{f23b}A"
    case ycSquare = "\u{f1d4}B"
    case yelp = "\u{f1e9}"
    case yen = "\u{f157}C"
    case yoast = "\u{f2b1}"
    case youTube = "\u{f167}"
    case youTubePlay = "\u{f16a}"
    case youTubeSquare = "\u{f166}"

    /// Get a FontAwesome string from the given CSS icon code. Icon code can be found here: http://fontawesome.io/icons/
    ///
    /// - parameter code: The preferred icon name.
    /// - returns: FontAwesome icon.
    public static func fromCode(_ code: String) -> FontAwesome? {
        guard let raw = FontAwesomeIcons[code], let icon = FontAwesome(rawValue: raw) else {
            return nil
        }
        return icon
    }
}

/// An array of FontAwesome icon codes.
// swiftlint:disable identifier_name
public let FontAwesomeIcons: [String : String] = [
    "fa-500px": "\u{f26e}",
    "fa-adjust": "\u{f042}",
    "fa-adn": "\u{f170}",
    "fa-address-book": "\u{f2b9}",
    "fa-address-book-o": "\u{f2ba}",
    "fa-address-card": "\u{f2bb}",
    "fa-address-card-o": "\u{f2bc}",
    "fa-align-center": "\u{f037}",
    "fa-align-justify": "\u{f039}",
    "fa-align-left": "\u{f036}",
    "fa-align-right": "\u{f038}",
    "fa-amazon": "\u{f270}",
    "fa-ambulance": "\u{f0f9}",
    "fa-american-sign-language-interpreting": "\u{f2a3}",
    "fa-anchor": "\u{f13d}",
    "fa-android": "\u{f17b}",
    "fa-angellist": "\u{f209}",
    "fa-angle-double-down": "\u{f103}",
    "fa-angle-double-left": "\u{f100}",
    "fa-angle-double-right": "\u{f101}",
    "fa-angle-double-up": "\u{f102}",
    "fa-angle-down": "\u{f107}",
    "fa-angle-left": "\u{f104}",
    "fa-angle-right": "\u{f105}",
    "fa-angle-up": "\u{f106}",
    "fa-apple": "\u{f179}",
    "fa-archive": "\u{f187}",
    "fa-area-chart": "\u{f1fe}",
    "fa-arrow-circle-down": "\u{f0ab}",
    "fa-arrow-circle-left": "\u{f0a8}",
    "fa-arrow-circle-o-down": "\u{f01a}",
    "fa-arrow-circle-o-left": "\u{f190}",
    "fa-arrow-circle-o-right": "\u{f18e}",
    "fa-arrow-circle-o-up": "\u{f01b}",
    "fa-arrow-circle-right": "\u{f0a9}",
    "fa-arrow-circle-up": "\u{f0aa}",
    "fa-arrow-down": "\u{f063}",
    "fa-arrow-left": "\u{f060}",
    "fa-arrow-right": "\u{f061}",
    "fa-arrow-up": "\u{f062}",
    "fa-arrows": "\u{f047}",
    "fa-arrows-alt": "\u{f0b2}",
    "fa-arrows-h": "\u{f07e}",
    "fa-arrows-v": "\u{f07d}",
    "fa-asl-interpreting": "\u{f2a3}",
    "fa-assistive-listening-systems": "\u{f2a2}",
    "fa-asterisk": "\u{f069}",
    "fa-at": "\u{f1fa}",
    "fa-audio-description": "\u{f29e}",
    "fa-automobile": "\u{f1b9}",
    "fa-backward": "\u{f04a}",
    "fa-balance-scale": "\u{f24e}",
    "fa-ban": "\u{f05e}",
    "fa-bandcamp": "\u{f2d5}",
    "fa-bank": "\u{f19c}",
    "fa-bar-chart": "\u{f080}",
    "fa-bar-chart-o": "\u{f080}",
    "fa-barcode": "\u{f02a}",
    "fa-bars": "\u{f0c9}",
    "fa-bath": "\u{f2cd}",
    "fa-battery-0": "\u{f244}",
    "fa-battery-1": "\u{f243}",
    "fa-battery-2": "\u{f242}",
    "fa-battery-3": "\u{f241}",
    "fa-battery-4": "\u{f240}",
    "fa-battery-empty": "\u{f244}",
    "fa-battery-full": "\u{f240}",
    "fa-battery-half": "\u{f242}",
    "fa-battery-quarter": "\u{f243}",
    "fa-battery-three-quarters": "\u{f241}",
    "fa-bed": "\u{f236}",
    "fa-beer": "\u{f0fc}",
    "fa-behance": "\u{f1b4}",
    "fa-behance-square": "\u{f1b5}",
    "fa-bell": "\u{f0f3}",
    "fa-bell-o": "\u{f0a2}",
    "fa-bell-slash": "\u{f1f6}",
    "fa-bell-slash-o": "\u{f1f7}",
    "fa-bicycle": "\u{f206}",
    "fa-binoculars": "\u{f1e5}",
    "fa-birthday-cake": "\u{f1fd}",
    "fa-bitbucket": "\u{f171}",
    "fa-bitbucket-square": "\u{f172}",
    "fa-bitcoin": "\u{f15a}",
    "fa-black-tie": "\u{f27e}",
    "fa-blind": "\u{f29d}",
    "fa-bluetooth": "\u{f293}",
    "fa-bluetooth-b": "\u{f294}",
    "fa-bold": "\u{f032}",
    "fa-bolt": "\u{f0e7}",
    "fa-bomb": "\u{f1e2}",
    "fa-book": "\u{f02d}",
    "fa-bookmark": "\u{f02e}",
    "fa-bookmark-o": "\u{f097}",
    "fa-braille": "\u{f2a1}",
    "fa-briefcase": "\u{f0b1}",
    "fa-btc": "\u{f15a}",
    "fa-bug": "\u{f188}",
    "fa-building": "\u{f1ad}",
    "fa-building-o": "\u{f0f7}",
    "fa-bullhorn": "\u{f0a1}",
    "fa-bullseye": "\u{f140}",
    "fa-bus": "\u{f207}",
    "fa-buysellads": "\u{f20d}",
    "fa-cab": "\u{f1ba}",
    "fa-calculator": "\u{f1ec}",
    "fa-calendar": "\u{f073}",
    "fa-calendar-check-o": "\u{f274}",
    "fa-calendar-minus-o": "\u{f272}",
    "fa-calendar-o": "\u{f133}",
    "fa-calendar-plus-o": "\u{f271}",
    "fa-calendar-times-o": "\u{f273}",
    "fa-camera": "\u{f030}",
    "fa-camera-retro": "\u{f083}",
    "fa-car": "\u{f1b9}",
    "fa-caret-down": "\u{f0d7}",
    "fa-caret-left": "\u{f0d9}",
    "fa-caret-right": "\u{f0da}",
    "fa-caret-square-o-down": "\u{f150}",
    "fa-caret-square-o-left": "\u{f191}",
    "fa-caret-square-o-right": "\u{f152}",
    "fa-caret-square-o-up": "\u{f151}",
    "fa-caret-up": "\u{f0d8}",
    "fa-cart-arrow-down": "\u{f218}",
    "fa-cart-plus": "\u{f217}",
    "fa-cc": "\u{f20a}",
    "fa-cc-amex": "\u{f1f3}",
    "fa-cc-diners-club": "\u{f24c}",
    "fa-cc-discover": "\u{f1f2}",
    "fa-cc-jcb": "\u{f24b}",
    "fa-cc-mastercard": "\u{f1f1}",
    "fa-cc-paypal": "\u{f1f4}",
    "fa-cc-stripe": "\u{f1f5}",
    "fa-cc-visa": "\u{f1f0}",
    "fa-certificate": "\u{f0a3}",
    "fa-chain": "\u{f0c1}",
    "fa-chain-broken": "\u{f127}",
    "fa-check": "\u{f00c}",
    "fa-check-circle": "\u{f058}",
    "fa-check-circle-o": "\u{f05d}",
    "fa-check-square": "\u{f14a}",
    "fa-check-square-o": "\u{f046}",
    "fa-chevron-circle-down": "\u{f13a}",
    "fa-chevron-circle-left": "\u{f137}",
    "fa-chevron-circle-right": "\u{f138}",
    "fa-chevron-circle-up": "\u{f139}",
    "fa-chevron-down": "\u{f078}",
    "fa-chevron-left": "\u{f053}",
    "fa-chevron-right": "\u{f054}",
    "fa-chevron-up": "\u{f077}",
    "fa-child": "\u{f1ae}",
    "fa-chrome": "\u{f268}",
    "fa-circle": "\u{f111}",
    "fa-circle-o": "\u{f10c}",
    "fa-circle-o-notch": "\u{f1ce}",
    "fa-circle-thin": "\u{f1db}",
    "fa-clipboard": "\u{f0ea}",
    "fa-clock-o": "\u{f017}",
    "fa-clone": "\u{f24d}",
    "fa-close": "\u{f00d}",
    "fa-cloud": "\u{f0c2}",
    "fa-cloud-download": "\u{f0ed}",
    "fa-cloud-upload": "\u{f0ee}",
    "fa-cny": "\u{f157}",
    "fa-code": "\u{f121}",
    "fa-code-fork": "\u{f126}",
    "fa-codepen": "\u{f1cb}",
    "fa-codiepie": "\u{f284}",
    "fa-coffee": "\u{f0f4}",
    "fa-cog": "\u{f013}",
    "fa-cogs": "\u{f085}",
    "fa-columns": "\u{f0db}",
    "fa-comment": "\u{f075}",
    "fa-comment-o": "\u{f0e5}",
    "fa-commenting": "\u{f27a}",
    "fa-commenting-o": "\u{f27b}",
    "fa-comments": "\u{f086}",
    "fa-comments-o": "\u{f0e6}",
    "fa-compass": "\u{f14e}",
    "fa-compress": "\u{f066}",
    "fa-connectdevelop": "\u{f20e}",
    "fa-contao": "\u{f26d}",
    "fa-copy": "\u{f0c5}",
    "fa-copyright": "\u{f1f9}",
    "fa-creative-commons": "\u{f25e}",
    "fa-credit-card": "\u{f09d}",
    "fa-credit-card-alt": "\u{f283}",
    "fa-crop": "\u{f125}",
    "fa-crosshairs": "\u{f05b}",
    "fa-css3": "\u{f13c}",
    "fa-cube": "\u{f1b2}",
    "fa-cubes": "\u{f1b3}",
    "fa-cut": "\u{f0c4}",
    "fa-cutlery": "\u{f0f5}",
    "fa-dashboard": "\u{f0e4}",
    "fa-dashcube": "\u{f210}",
    "fa-database": "\u{f1c0}",
    "fa-deaf": "\u{f2a4}",
    "fa-deafness": "\u{f2a4}",
    "fa-dedent": "\u{f03b}",
    "fa-delicious": "\u{f1a5}",
    "fa-desktop": "\u{f108}",
    "fa-deviantart": "\u{f1bd}",
    "fa-diamond": "\u{f219}",
    "fa-digg": "\u{f1a6}",
    "fa-dollar": "\u{f155}",
    "fa-dot-circle-o": "\u{f192}",
    "fa-download": "\u{f019}",
    "fa-dribbble": "\u{f17d}",
    "fa-dropbox": "\u{f16b}",
    "fa-drupal": "\u{f1a9}",
    "fa-edge": "\u{f282}",
    "fa-edit": "\u{f044}",
    "fa-eercast": "\u{f2da}",
    "fa-eject": "\u{f052}",
    "fa-ellipsis-h": "\u{f141}",
    "fa-ellipsis-v": "\u{f142}",
    "fa-empire": "\u{f1d1}",
    "fa-envelope": "\u{f0e0}",
    "fa-envelope-o": "\u{f003}",
    "fa-envelope-square": "\u{f199}",
    "fa-envelope-open": "\u{f2b6}",
    "fa-envelope-open-o": "\u{f2b7}",
    "fa-envira": "\u{f299}",
    "fa-eraser": "\u{f12d}",
    "fa-etsy": "\u{f2d7}",
    "fa-eur": "\u{f153}",
    "fa-euro": "\u{f153}",
    "fa-exchange": "\u{f0ec}",
    "fa-exclamation": "\u{f12a}",
    "fa-exclamation-circle": "\u{f06a}",
    "fa-exclamation-triangle": "\u{f071}",
    "fa-expand": "\u{f065}",
    "fa-expeditedssl": "\u{f23e}",
    "fa-external-link": "\u{f08e}",
    "fa-external-link-square": "\u{f14c}",
    "fa-eye": "\u{f06e}",
    "fa-eye-slash": "\u{f070}",
    "fa-eyedropper": "\u{f1fb}",
    "fa-fa": "\u{f2b4}",
    "fa-facebook": "\u{f09a}",
    "fa-facebook-f": "\u{f09a}",
    "fa-facebook-official": "\u{f230}",
    "fa-facebook-square": "\u{f082}",
    "fa-fast-backward": "\u{f049}",
    "fa-fast-forward": "\u{f050}",
    "fa-fax": "\u{f1ac}",
    "fa-feed": "\u{f09e}",
    "fa-female": "\u{f182}",
    "fa-fighter-jet": "\u{f0fb}",
    "fa-file": "\u{f15b}",
    "fa-file-archive-o": "\u{f1c6}",
    "fa-file-audio-o": "\u{f1c7}",
    "fa-file-code-o": "\u{f1c9}",
    "fa-file-excel-o": "\u{f1c3}",
    "fa-file-image-o": "\u{f1c5}",
    "fa-file-movie-o": "\u{f1c8}",
    "fa-file-o": "\u{f016}",
    "fa-file-pdf-o": "\u{f1c1}",
    "fa-file-photo-o": "\u{f1c5}",
    "fa-file-picture-o": "\u{f1c5}",
    "fa-file-powerpoint-o": "\u{f1c4}",
    "fa-file-sound-o": "\u{f1c7}",
    "fa-file-text": "\u{f15c}",
    "fa-file-text-o": "\u{f0f6}",
    "fa-file-video-o": "\u{f1c8}",
    "fa-file-word-o": "\u{f1c2}",
    "fa-file-zip-o": "\u{f1c6}",
    "fa-files-o": "\u{f0c5}",
    "fa-film": "\u{f008}",
    "fa-filter": "\u{f0b0}",
    "fa-fire": "\u{f06d}",
    "fa-fire-extinguisher": "\u{f134}",
    "fa-firefox": "\u{f269}",
    "fa-first-order": "\u{f2b0}",
    "fa-flag": "\u{f024}",
    "fa-flag-checkered": "\u{f11e}",
    "fa-flag-o": "\u{f11d}",
    "fa-flash": "\u{f0e7}",
    "fa-flask": "\u{f0c3}",
    "fa-flickr": "\u{f16e}",
    "fa-floppy-o": "\u{f0c7}",
    "fa-folder": "\u{f07b}",
    "fa-folder-o": "\u{f114}",
    "fa-folder-open": "\u{f07c}",
    "fa-folder-open-o": "\u{f115}",
    "fa-font": "\u{f031}",
    "fa-font-awesome": "\u{f2b4}",
    "fa-fonticons": "\u{f280}",
    "fa-fort-awesome": "\u{f286}",
    "fa-forumbee": "\u{f211}",
    "fa-forward": "\u{f04e}",
    "fa-foursquare": "\u{f180}",
    "fa-free-code-camp": "\u{f2c5}",
    "fa-frown-o": "\u{f119}",
    "fa-futbol-o": "\u{f1e3}",
    "fa-gamepad": "\u{f11b}",
    "fa-gavel": "\u{f0e3}",
    "fa-gbp": "\u{f154}",
    "fa-ge": "\u{f1d1}",
    "fa-gear": "\u{f013}",
    "fa-gears": "\u{f085}",
    "fa-genderless": "\u{f22d}",
    "fa-get-pocket": "\u{f265}",
    "fa-gg": "\u{f260}",
    "fa-gg-circle": "\u{f261}",
    "fa-gift": "\u{f06b}",
    "fa-git": "\u{f1d3}",
    "fa-git-square": "\u{f1d2}",
    "fa-github": "\u{f09b}",
    "fa-github-alt": "\u{f113}",
    "fa-github-square": "\u{f092}",
    "fa-gitlab": "\u{f296}",
    "fa-gittip": "\u{f184}",
    "fa-glass": "\u{f000}",
    "fa-glide": "\u{f2a5}",
    "fa-glide-g": "\u{f2a6}",
    "fa-globe": "\u{f0ac}",
    "fa-google": "\u{f1a0}",
    "fa-google-plus": "\u{f0d5}",
    "fa-google-plus-circle": "\u{f2b3}",
    "fa-google-plus-official": "\u{f2b3}",
    "fa-google-plus-square": "\u{f0d4}",
    "fa-google-wallet": "\u{f1ee}",
    "fa-graduation-cap": "\u{f19d}",
    "fa-gratipay": "\u{f184}",
    "fa-grav": "\u{f2d6}",
    "fa-group": "\u{f0c0}",
    "fa-h-square": "\u{f0fd}",
    "fa-hacker-news": "\u{f1d4}",
    "fa-handshake-o": "\u{f2b5}",
    "fa-hand-grab-o": "\u{f255}",
    "fa-hand-lizard-o": "\u{f258}",
    "fa-hand-o-down": "\u{f0a7}",
    "fa-hand-o-left": "\u{f0a5}",
    "fa-hand-o-right": "\u{f0a4}",
    "fa-hand-o-up": "\u{f0a6}",
    "fa-hand-paper-o": "\u{f256}",
    "fa-hand-peace-o": "\u{f25b}",
    "fa-hand-pointer-o": "\u{f25a}",
    "fa-hand-rock-o": "\u{f255}",
    "fa-hand-scissors-o": "\u{f257}",
    "fa-hand-spock-o": "\u{f259}",
    "fa-hand-stop-o": "\u{f256}",
    "fa-hard-of-hearing": "\u{f2a4}",
    "fa-hashtag": "\u{f292}",
    "fa-hdd-o": "\u{f0a0}",
    "fa-header": "\u{f1dc}",
    "fa-headphones": "\u{f025}",
    "fa-heart": "\u{f004}",
    "fa-heart-o": "\u{f08a}",
    "fa-heartbeat": "\u{f21e}",
    "fa-history": "\u{f1da}",
    "fa-home": "\u{f015}",
    "fa-hospital-o": "\u{f0f8}",
    "fa-hotel": "\u{f236}",
    "fa-hourglass": "\u{f254}",
    "fa-hourglass-1": "\u{f251}",
    "fa-hourglass-2": "\u{f252}",
    "fa-hourglass-3": "\u{f253}",
    "fa-hourglass-end": "\u{f253}",
    "fa-hourglass-half": "\u{f252}",
    "fa-hourglass-o": "\u{f250}",
    "fa-hourglass-start": "\u{f251}",
    "fa-houzz": "\u{f27c}",
    "fa-html5": "\u{f13b}",
    "fa-i-cursor": "\u{f246}",
    "fa-id-badge": "\u{f2c1}",
    "fa-id-card": "\u{f2c2}",
    "fa-id-card-o": "\u{f2c3}",
    "fa-ils": "\u{f20b}",
    "fa-image": "\u{f03e}",
    "fa-imdb": "\u{f2d8}",
    "fa-inbox": "\u{f01c}",
    "fa-indent": "\u{f03c}",
    "fa-industry": "\u{f275}",
    "fa-info": "\u{f129}",
    "fa-info-circle": "\u{f05a}",
    "fa-inr": "\u{f156}",
    "fa-instagram": "\u{f16d}",
    "fa-institution": "\u{f19c}",
    "fa-internet-explorer": "\u{f26b}",
    "fa-intersex": "\u{f224}",
    "fa-ioxhost": "\u{f208}",
    "fa-italic": "\u{f033}",
    "fa-joomla": "\u{f1aa}",
    "fa-jpy": "\u{f157}",
    "fa-jsfiddle": "\u{f1cc}",
    "fa-key": "\u{f084}",
    "fa-keyboard-o": "\u{f11c}",
    "fa-krw": "\u{f159}",
    "fa-language": "\u{f1ab}",
    "fa-laptop": "\u{f109}",
    "fa-lastfm": "\u{f202}",
    "fa-lastfm-square": "\u{f203}",
    "fa-leaf": "\u{f06c}",
    "fa-leanpub": "\u{f212}",
    "fa-legal": "\u{f0e3}",
    "fa-lemon-o": "\u{f094}",
    "fa-level-down": "\u{f149}",
    "fa-level-up": "\u{f148}",
    "fa-life-bouy": "\u{f1cd}",
    "fa-life-buoy": "\u{f1cd}",
    "fa-life-ring": "\u{f1cd}",
    "fa-life-saver": "\u{f1cd}",
    "fa-lightbulb-o": "\u{f0eb}",
    "fa-line-chart": "\u{f201}",
    "fa-link": "\u{f0c1}",
    "fa-linkedin": "\u{f0e1}",
    "fa-linkedin-square": "\u{f08c}",
    "fa-linode": "\u{f2b8}",
    "fa-linux": "\u{f17c}",
    "fa-list": "\u{f03a}",
    "fa-list-alt": "\u{f022}",
    "fa-list-ol": "\u{f0cb}",
    "fa-list-ul": "\u{f0ca}",
    "fa-location-arrow": "\u{f124}",
    "fa-lock": "\u{f023}",
    "fa-long-arrow-down": "\u{f175}",
    "fa-long-arrow-left": "\u{f177}",
    "fa-long-arrow-right": "\u{f178}",
    "fa-long-arrow-up": "\u{f176}",
    "fa-low-vision": "\u{f2a8}",
    "fa-magic": "\u{f0d0}",
    "fa-magnet": "\u{f076}",
    "fa-mail-forward": "\u{f064}",
    "fa-mail-reply": "\u{f112}",
    "fa-mail-reply-all": "\u{f122}",
    "fa-male": "\u{f183}",
    "fa-map": "\u{f279}",
    "fa-map-marker": "\u{f041}",
    "fa-map-o": "\u{f278}",
    "fa-map-pin": "\u{f276}",
    "fa-map-signs": "\u{f277}",
    "fa-mars": "\u{f222}",
    "fa-mars-double": "\u{f227}",
    "fa-mars-stroke": "\u{f229}",
    "fa-mars-stroke-h": "\u{f22b}",
    "fa-mars-stroke-v": "\u{f22a}",
    "fa-maxcdn": "\u{f136}",
    "fa-meanpath": "\u{f20c}",
    "fa-medium": "\u{f23a}",
    "fa-medkit": "\u{f0fa}",
    "fa-meetup": "\u{f2e0}",
    "fa-meh-o": "\u{f11a}",
    "fa-mercury": "\u{f223}",
    "fa-microchip": "\u{f2db}",
    "fa-microphone": "\u{f130}",
    "fa-microphone-slash": "\u{f131}",
    "fa-minus": "\u{f068}",
    "fa-minus-circle": "\u{f056}",
    "fa-minus-square": "\u{f146}",
    "fa-minus-square-o": "\u{f147}",
    "fa-mixcloud": "\u{f289}",
    "fa-mobile": "\u{f10b}",
    "fa-mobile-phone": "\u{f10b}",
    "fa-modx": "\u{f285}",
    "fa-money": "\u{f0d6}",
    "fa-moon-o": "\u{f186}",
    "fa-mortar-board": "\u{f19d}",
    "fa-motorcycle": "\u{f21c}",
    "fa-mouse-pointer": "\u{f245}",
    "fa-music": "\u{f001}",
    "fa-navicon": "\u{f0c9}",
    "fa-neuter": "\u{f22c}",
    "fa-newspaper-o": "\u{f1ea}",
    "fa-object-group": "\u{f247}",
    "fa-object-ungroup": "\u{f248}",
    "fa-odnoklassniki": "\u{f263}",
    "fa-odnoklassniki-square": "\u{f264}",
    "fa-opencart": "\u{f23d}",
    "fa-openid": "\u{f19b}",
    "fa-opera": "\u{f26a}",
    "fa-optin-monster": "\u{f23c}",
    "fa-outdent": "\u{f03b}",
    "fa-pagelines": "\u{f18c}",
    "fa-paint-brush": "\u{f1fc}",
    "fa-paper-plane": "\u{f1d8}",
    "fa-paper-plane-o": "\u{f1d9}",
    "fa-paperclip": "\u{f0c6}",
    "fa-paragraph": "\u{f1dd}",
    "fa-paste": "\u{f0ea}",
    "fa-pause": "\u{f04c}",
    "fa-pause-circle": "\u{f28b}",
    "fa-pause-circle-o": "\u{f28c}",
    "fa-paw": "\u{f1b0}",
    "fa-paypal": "\u{f1ed}",
    "fa-pencil": "\u{f040}",
    "fa-pencil-square": "\u{f14b}",
    "fa-pencil-square-o": "\u{f044}",
    "fa-percent": "\u{f295}",
    "fa-phone": "\u{f095}",
    "fa-phone-square": "\u{f098}",
    "fa-photo": "\u{f03e}",
    "fa-picture-o": "\u{f03e}",
    "fa-pie-chart": "\u{f200}",
    "fa-pied-piper": "\u{f2ae}",
    "fa-pied-piper-alt": "\u{f1a8}",
    "fa-pied-piper-pp": "\u{f1a7}",
    "fa-pinterest": "\u{f0d2}",
    "fa-pinterest-p": "\u{f231}",
    "fa-pinterest-square": "\u{f0d3}",
    "fa-plane": "\u{f072}",
    "fa-play": "\u{f04b}",
    "fa-play-circle": "\u{f144}",
    "fa-play-circle-o": "\u{f01d}",
    "fa-plug": "\u{f1e6}",
    "fa-plus": "\u{f067}",
    "fa-plus-circle": "\u{f055}",
    "fa-plus-square": "\u{f0fe}",
    "fa-plus-square-o": "\u{f196}",
    "fa-podcast": "\u{f2ce}",
    "fa-power-off": "\u{f011}",
    "fa-print": "\u{f02f}",
    "fa-product-hunt": "\u{f288}",
    "fa-puzzle-piece": "\u{f12e}",
    "fa-qq": "\u{f1d6}",
    "fa-qrcode": "\u{f029}",
    "fa-question": "\u{f128}",
    "fa-question-circle": "\u{f059}",
    "fa-question-circle-o": "\u{f29c}",
    "fa-quora": "\u{f2c4}",
    "fa-quote-left": "\u{f10d}",
    "fa-quote-right": "\u{f10e}",
    "fa-ra": "\u{f1d0}",
    "fa-random": "\u{f074}",
    "fa-ravelry": "\u{f2d9}",
    "fa-rebel": "\u{f1d0}",
    "fa-recycle": "\u{f1b8}",
    "fa-reddit": "\u{f1a1}",
    "fa-reddit-alien": "\u{f281}",
    "fa-reddit-square": "\u{f1a2}",
    "fa-refresh": "\u{f021}",
    "fa-registered": "\u{f25d}",
    "fa-remove": "\u{f00d}",
    "fa-renren": "\u{f18b}",
    "fa-reorder": "\u{f0c9}",
    "fa-repeat": "\u{f01e}",
    "fa-reply": "\u{f112}",
    "fa-reply-all": "\u{f122}",
    "fa-resistance": "\u{f1d0}",
    "fa-retweet": "\u{f079}",
    "fa-rmb": "\u{f157}",
    "fa-road": "\u{f018}",
    "fa-rocket": "\u{f135}",
    "fa-rotate-left": "\u{f0e2}",
    "fa-rotate-right": "\u{f01e}",
    "fa-rouble": "\u{f158}",
    "fa-rss": "\u{f09e}",
    "fa-rss-square": "\u{f143}",
    "fa-rub": "\u{f158}",
    "fa-ruble": "\u{f158}",
    "fa-rupee": "\u{f156}",
    "fa-safari": "\u{f267}",
    "fa-save": "\u{f0c7}",
    "fa-scissors": "\u{f0c4}",
    "fa-scribd": "\u{f28a}",
    "fa-search": "\u{f002}",
    "fa-search-minus": "\u{f010}",
    "fa-search-plus": "\u{f00e}",
    "fa-sellsy": "\u{f213}",
    "fa-send": "\u{f1d8}",
    "fa-send-o": "\u{f1d9}",
    "fa-server": "\u{f233}",
    "fa-share": "\u{f064}",
    "fa-share-alt": "\u{f1e0}",
    "fa-share-alt-square": "\u{f1e1}",
    "fa-share-square": "\u{f14d}",
    "fa-share-square-o": "\u{f045}",
    "fa-shekel": "\u{f20b}",
    "fa-sheqel": "\u{f20b}",
    "fa-shield": "\u{f132}",
    "fa-ship": "\u{f21a}",
    "fa-shirtsinbulk": "\u{f214}",
    "fa-shopping-bag": "\u{f290}",
    "fa-shopping-basket": "\u{f291}",
    "fa-shopping-cart": "\u{f07a}",
    "fa-shower": "\u{f2cc}",
    "fa-sign-in": "\u{f090}",
    "fa-sign-language": "\u{f2a7}",
    "fa-sign-out": "\u{f08b}",
    "fa-signal": "\u{f012}",
    "fa-signing": "\u{f2a7}",
    "fa-simplybuilt": "\u{f215}",
    "fa-sitemap": "\u{f0e8}",
    "fa-skyatlas": "\u{f216}",
    "fa-skype": "\u{f17e}",
    "fa-slack": "\u{f198}",
    "fa-sliders": "\u{f1de}",
    "fa-slideshare": "\u{f1e7}",
    "fa-smile-o": "\u{f118}",
    "fa-snapchat": "\u{f2ab}",
    "fa-snapchat-ghost": "\u{f2ac}",
    "fa-snapchat-square": "\u{f2ad}",
    "fa-snowflake": "\u{f2dc}",
    "fa-soccer-ball-o": "\u{f1e3}",
    "fa-sort": "\u{f0dc}",
    "fa-sort-alpha-asc": "\u{f15d}",
    "fa-sort-alpha-desc": "\u{f15e}",
    "fa-sort-amount-asc": "\u{f160}",
    "fa-sort-amount-desc": "\u{f161}",
    "fa-sort-asc": "\u{f0de}",
    "fa-sort-desc": "\u{f0dd}",
    "fa-sort-down": "\u{f0dd}",
    "fa-sort-numeric-asc": "\u{f162}",
    "fa-sort-numeric-desc": "\u{f163}",
    "fa-sort-up": "\u{f0de}",
    "fa-soundcloud": "\u{f1be}",
    "fa-space-shuttle": "\u{f197}",
    "fa-spinner": "\u{f110}",
    "fa-spoon": "\u{f1b1}",
    "fa-spotify": "\u{f1bc}",
    "fa-square": "\u{f0c8}",
    "fa-square-o": "\u{f096}",
    "fa-stack-exchange": "\u{f18d}",
    "fa-stack-overflow": "\u{f16c}",
    "fa-star": "\u{f005}",
    "fa-star-half": "\u{f089}",
    "fa-star-half-empty": "\u{f123}",
    "fa-star-half-full": "\u{f123}",
    "fa-star-half-o": "\u{f123}",
    "fa-star-o": "\u{f006}",
    "fa-steam": "\u{f1b6}",
    "fa-steam-square": "\u{f1b7}",
    "fa-step-backward": "\u{f048}",
    "fa-step-forward": "\u{f051}",
    "fa-stethoscope": "\u{f0f1}",
    "fa-sticky-note": "\u{f249}",
    "fa-sticky-note-o": "\u{f24a}",
    "fa-stop": "\u{f04d}",
    "fa-stop-circle": "\u{f28d}",
    "fa-stop-circle-o": "\u{f28e}",
    "fa-street-view": "\u{f21d}",
    "fa-strikethrough": "\u{f0cc}",
    "fa-stumbleupon": "\u{f1a4}",
    "fa-stumbleupon-circle": "\u{f1a3}",
    "fa-subscript": "\u{f12c}",
    "fa-subway": "\u{f239}",
    "fa-suitcase": "\u{f0f2}",
    "fa-sun-o": "\u{f185}",
    "fa-superpowers": "\u{f2dd}",
    "fa-superscript": "\u{f12b}",
    "fa-support": "\u{f1cd}",
    "fa-table": "\u{f0ce}",
    "fa-tablet": "\u{f10a}",
    "fa-tachometer": "\u{f0e4}",
    "fa-tag": "\u{f02b}",
    "fa-tags": "\u{f02c}",
    "fa-tasks": "\u{f0ae}",
    "fa-taxi": "\u{f1ba}",
    "fa-telegram": "\u{f2c6}",
    "fa-television": "\u{f26c}",
    "fa-tencent-weibo": "\u{f1d5}",
    "fa-terminal": "\u{f120}",
    "fa-text-height": "\u{f034}",
    "fa-text-width": "\u{f035}",
    "fa-th": "\u{f00a}",
    "fa-th-large": "\u{f009}",
    "fa-th-list": "\u{f00b}",
    "fa-themeisle": "\u{f2b2}",
    "fa-thermometer-empty": "\u{f2cb}",
    "fa-fa-thermometer-full": "\u{f2c7}",
    "fa-fa-thermometer-half": "\u{f2c9}",
    "fa-fa-thermometer-quarter": "\u{f2ca}",
    "fa-thermometer-three-quarters": "\u{f2c8}",
    "fa-thumb-tack": "\u{f08d}",
    "fa-thumbs-down": "\u{f165}",
    "fa-thumbs-o-down": "\u{f088}",
    "fa-thumbs-o-up": "\u{f087}",
    "fa-thumbs-up": "\u{f164}",
    "fa-ticket": "\u{f145}",
    "fa-times": "\u{f00d}",
    "fa-times-circle": "\u{f057}",
    "fa-times-circle-o": "\u{f05c}",
    "fa-tint": "\u{f043}",
    "fa-toggle-down": "\u{f150}",
    "fa-toggle-left": "\u{f191}",
    "fa-toggle-off": "\u{f204}",
    "fa-toggle-on": "\u{f205}",
    "fa-toggle-right": "\u{f152}",
    "fa-toggle-up": "\u{f151}",
    "fa-trademark": "\u{f25c}",
    "fa-train": "\u{f238}",
    "fa-transgender": "\u{f224}",
    "fa-transgender-alt": "\u{f225}",
    "fa-trash": "\u{f1f8}",
    "fa-trash-o": "\u{f014}",
    "fa-tree": "\u{f1bb}",
    "fa-trello": "\u{f181}",
    "fa-tripadvisor": "\u{f262}",
    "fa-trophy": "\u{f091}",
    "fa-truck": "\u{f0d1}",
    "fa-try": "\u{f195}",
    "fa-tty": "\u{f1e4}",
    "fa-tumblr": "\u{f173}",
    "fa-tumblr-square": "\u{f174}",
    "fa-turkish-lira": "\u{f195}",
    "fa-tv": "\u{f26c}",
    "fa-twitch": "\u{f1e8}",
    "fa-twitter": "\u{f099}",
    "fa-twitter-square": "\u{f081}",
    "fa-umbrella": "\u{f0e9}",
    "fa-underline": "\u{f0cd}",
    "fa-undo": "\u{f0e2}",
    "fa-universal-access": "\u{f29a}",
    "fa-university": "\u{f19c}",
    "fa-unlink": "\u{f127}",
    "fa-unlock": "\u{f09c}",
    "fa-unlock-alt": "\u{f13e}",
    "fa-unsorted": "\u{f0dc}",
    "fa-upload": "\u{f093}",
    "fa-usb": "\u{f287}",
    "fa-usd": "\u{f155}",
    "fa-user": "\u{f007}",
    "fa-user-o": "\u{f2c0}",
    "fa-user-md": "\u{f0f0}",
    "fa-user-plus": "\u{f234}",
    "fa-user-secret": "\u{f21b}",
    "fa-user-times": "\u{f235}",
    "fa-user-circle": "\u{f2bd}",
    "fa-user-circle-o": "\u{f2be}",
    "fa-users": "\u{f0c0}",
    "fa-venus": "\u{f221}",
    "fa-venus-double": "\u{f226}",
    "fa-venus-mars": "\u{f228}",
    "fa-viacoin": "\u{f237}",
    "fa-viadeo": "\u{f2a9}",
    "fa-viadeo-square": "\u{f2aa}",
    "fa-video-camera": "\u{f03d}",
    "fa-vimeo": "\u{f27d}",
    "fa-vimeo-square": "\u{f194}",
    "fa-vine": "\u{f1ca}",
    "fa-vk": "\u{f189}",
    "fa-volume-control-phone": "\u{f2a0}",
    "fa-volume-down": "\u{f027}",
    "fa-volume-off": "\u{f026}",
    "fa-volume-up": "\u{f028}",
    "fa-warning": "\u{f071}",
    "fa-wechat": "\u{f1d7}",
    "fa-weibo": "\u{f18a}",
    "fa-weixin": "\u{f1d7}",
    "fa-whatsapp": "\u{f232}",
    "fa-wheelchair": "\u{f193}",
    "fa-wheelchair-alt": "\u{f29b}",
    "fa-wifi": "\u{f1eb}",
    "fa-wikipedia-w": "\u{f266}",
    "fa-window-close": "\u{f2d3}",
    "fa-window-close-o": "\u{f2d4}",
    "fa-window-maximize": "\u{f2d0}",
    "fa-window-minimize": "\u{f2d1}",
    "fa-window-restore": "\u{f2d2}",
    "fa-windows": "\u{f17a}",
    "fa-won": "\u{f159}",
    "fa-wordpress": "\u{f19a}",
    "fa-wpbeginner": "\u{f297}",
    "fa-wpexplorer": "\u{f2de}",
    "fa-wpforms": "\u{f298}",
    "fa-wrench": "\u{f0ad}",
    "fa-xing": "\u{f168}",
    "fa-xing-square": "\u{f169}",
    "fa-y-combinator": "\u{f23b}",
    "fa-y-combinator-square": "\u{f1d4}",
    "fa-yahoo": "\u{f19e}",
    "fa-yc": "\u{f23b}",
    "fa-yc-square": "\u{f1d4}",
    "fa-yelp": "\u{f1e9}",
    "fa-yen": "\u{f157}",
    "fa-yoast": "\u{f2b1}",
    "fa-youtube": "\u{f167}",
    "fa-youtube-play": "\u{f16a}",
    "fa-youtube-square": "\u{f166}"
]
